﻿using ContactManager.Data.Maps;
using Microsoft.Data.Entity;

namespace ContactManager.Data
{
    public class ContactContext : DbContext
    {
        public DbSet<Person> People { get; set; }
        public DbSet<Phone> Phones { get; set; }
        public DbSet<PersonType> PersonTypes { get; set; }
        public DbSet<Company> Companies { get; set; }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);

            new PersonTypeMap().Configure(modelBuilder);
            new CompanyMap().Configure(modelBuilder);
            new PhoneMap().Configure(modelBuilder);
            new PersonMap().Configure(modelBuilder);
            new PersonCompanyMap().Configure(modelBuilder);

        }
    }
}
