﻿using Microsoft.Data.Entity;

namespace ContactManager.Data.Maps
{
    public class CompanyMap
    {
        public void Configure(ModelBuilder modelBuilder)
        {
            var companyMap = modelBuilder.Entity<Company>();
            companyMap.Property(p => p.CompanyId).UseSqlServerIdentityColumn();
            companyMap.HasKey(c => c.CompanyId);
            companyMap.Property(p => p.CompanyName).HasMaxLength(30).IsRequired();
            companyMap.HasMany(pt => pt.Persons);
            companyMap.ToTable("Company");
        }
    }
}
