﻿using Microsoft.Data.Entity;

namespace ContactManager.Data.Maps
{
    public class PersonCompanyMap
    {
        public void Configure(ModelBuilder modelBuilder)
        {
            var map = modelBuilder.Entity<PersonCompany>();
            map.HasKey(p => new { p.CompanyId, p.PersonId });
            map.HasOne(p => p.Person).WithMany(p => p.Companies).HasForeignKey(p => p.PersonId);
            map.HasOne(p => p.Company).WithMany(p => p.Persons).HasForeignKey(p => p.CompanyId);
            map.ToTable("PersonCompany");
        }
    }
}
