﻿using Microsoft.Data.Entity;

namespace ContactManager.Data.Maps
{
    public class PersonMap
    {
        public void Configure(ModelBuilder modelBuilder)
        {
            var personMap = modelBuilder.Entity<Person>();
            personMap.Property(p => p.PersonId).UseSqlServerIdentityColumn();
            personMap.HasKey(c => c.PersonId);
            personMap.Property(p => p.LastName).HasMaxLength(40).IsRequired();
            personMap.Property(p => p.FirstName).HasMaxLength(30).IsRequired();
            personMap.HasMany(p => p.Phones).WithOne(ph => ph.Person).HasForeignKey(pr => pr.PersonId);
            personMap.HasOne(p => p.PersonType).WithMany(a => a.Persons).HasForeignKey(c => c.PersonTypeId);
            personMap.HasMany(p => p.Companies);
            personMap.ToTable("Person");
        }
    }
}
