﻿using Microsoft.Data.Entity;

namespace ContactManager.Data.Maps
{
    public class PersonTypeMap
    {
        public void Configure(ModelBuilder modelBuilder)
        {
            var personType = modelBuilder.Entity<PersonType>();
            personType.Property(p => p.PersonTypeId).UseSqlServerIdentityColumn();
            personType.HasKey(c => c.PersonTypeId);
            personType.Property(p => p.TypeName).HasMaxLength(30).IsRequired();
            personType.HasMany(pt => pt.Persons)
                .WithOne(p => p.PersonType)
                .HasForeignKey(p => p.PersonTypeId)
                .OnDelete(Microsoft.Data.Entity.Metadata.DeleteBehavior.Restrict);


            personType.ToTable("PersonType");
        }
    }
}
