﻿using Microsoft.Data.Entity;

namespace ContactManager.Data.Maps
{
    public class PhoneMap
    {
        public void Configure(ModelBuilder modelBuilder)
        {
            var phoneMap = modelBuilder.Entity<Phone>();
            phoneMap.Property(p => p.PhoneId).UseSqlServerIdentityColumn();
            phoneMap.HasKey(c => c.PhoneId);
            phoneMap.Property(p => p.PhoneNumber).HasMaxLength(15).IsRequired();
            phoneMap.HasOne(p => p.Person).WithMany(a => a.Phones).HasForeignKey(c => c.PersonId);
            phoneMap.ToTable("Phone");
        }
    }
}
