using System;
using Microsoft.Data.Entity;
using Microsoft.Data.Entity.Infrastructure;
using Microsoft.Data.Entity.Metadata;
using Microsoft.Data.Entity.Migrations;
using ContactManager.Data;

namespace ContactManager.Data.Migrations
{
    [DbContext(typeof(ContactContext))]
    partial class ContactContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
            modelBuilder
                .HasAnnotation("ProductVersion", "7.0.0-rc1-16348")
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("ContactManager.Data.Company", b =>
                {
                    b.Property<int>("CompanyId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("City");

                    b.Property<string>("CompanyName")
                        .IsRequired()
                        .HasAnnotation("MaxLength", 30);

                    b.Property<string>("State");

                    b.Property<string>("Street");

                    b.Property<string>("Zip");

                    b.HasKey("CompanyId");

                    b.HasAnnotation("Relational:TableName", "Company");
                });

            modelBuilder.Entity("ContactManager.Data.Person", b =>
                {
                    b.Property<int>("PersonId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime?>("BirthDate");

                    b.Property<string>("FirstName")
                        .IsRequired()
                        .HasAnnotation("MaxLength", 30);

                    b.Property<bool>("IsActive");

                    b.Property<string>("LastName")
                        .IsRequired()
                        .HasAnnotation("MaxLength", 40);

                    b.Property<int>("PersonTypeId");

                    b.HasKey("PersonId");

                    b.HasAnnotation("Relational:TableName", "Person");
                });

            modelBuilder.Entity("ContactManager.Data.PersonCompany", b =>
                {
                    b.Property<int>("CompanyId");

                    b.Property<int>("PersonId");

                    b.HasKey("CompanyId", "PersonId");

                    b.HasAnnotation("Relational:TableName", "PersonCompany");
                });

            modelBuilder.Entity("ContactManager.Data.PersonType", b =>
                {
                    b.Property<int>("PersonTypeId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("TypeName")
                        .IsRequired()
                        .HasAnnotation("MaxLength", 30);

                    b.HasKey("PersonTypeId");

                    b.HasAnnotation("Relational:TableName", "PersonType");
                });

            modelBuilder.Entity("ContactManager.Data.Phone", b =>
                {
                    b.Property<int>("PhoneId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("PersonId");

                    b.Property<string>("PhoneNumber")
                        .IsRequired()
                        .HasAnnotation("MaxLength", 15);

                    b.HasKey("PhoneId");

                    b.HasAnnotation("Relational:TableName", "Phone");
                });

            modelBuilder.Entity("ContactManager.Data.Person", b =>
                {
                    b.HasOne("ContactManager.Data.PersonType")
                        .WithMany()
                        .HasForeignKey("PersonTypeId");
                });

            modelBuilder.Entity("ContactManager.Data.PersonCompany", b =>
                {
                    b.HasOne("ContactManager.Data.Company")
                        .WithMany()
                        .HasForeignKey("CompanyId");

                    b.HasOne("ContactManager.Data.Person")
                        .WithMany()
                        .HasForeignKey("PersonId");
                });

            modelBuilder.Entity("ContactManager.Data.Phone", b =>
                {
                    b.HasOne("ContactManager.Data.Person")
                        .WithMany()
                        .HasForeignKey("PersonId");
                });
        }
    }
}
