﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace ContactManager.Models
{
    public class Person
    {
        public Person()
        {
            Phones = new List<Phone>();
        }

        public int PersonId { get; set; }
        [Range(1, int.MaxValue, ErrorMessage = "Person type is required")]
        public int PersonTypeId { get; set; }

        [Required(ErrorMessage = "Type name is required")]
        [MaxLength(30, ErrorMessage = "First name cannot be longer than 30 characters")]
        public string FirstName { get; set; }

        [Required(ErrorMessage = "Type name is required")]
        [MaxLength(40, ErrorMessage = "Last name cannot be longer than 40 characters")]
        public string LastName { get; set; }
        public DateTime? BirthDate { get; set; }
        public bool IsActive { get; set; }
        public List<Phone> Phones { get; set; }

    }

}
