﻿import {Component, View} from 'angular2/core';
import {MakeLarge} from '../commonDirectives/makeLarge';
import { Shorten } from '../commonPipes/shorten';
@Component({
    selector: 'contact-types-item',
    template: `
  <li class="list-group-item" makeLarge="red">
    <button class="btn btn-default edit-button-with-label" (click)="clicked(contactType)">Edit</button><span>{{contactType.TypeName | shorten: 6}} </span>
  </li>
    `,
    inputs: ["contactType"],
    directives: [MakeLarge],
    pipes: [Shorten],
    styles: [`
        .edit-button-with-label {
            margin-right: 10px;
            font-size: inherit;
        }
`]
})
export class ContactTypeListItem {
    contactType: App.Models.IPersonType;
    clicked(contactType: App.Models.IPersonType): void {
        alert(contactType.TypeName);
    }
    constructor() {

    }

}