﻿import {Component, OnInit} from 'angular2/core';
import {ContactTypeListItem} from './contactTypeListItem';
import {ContactTypeService} from './contactTypeService';
@Component({
    selector: 'contact-types',
    template: `
<h1>Contact Types</h1>
<ul class="list-group">
  <contact-types-item *ngFor="#item of contactTypes" [contactType]="item">
  </contact-types-item>
</ul>
    `,
    directives: [ContactTypeListItem],
    providers: [ContactTypeService]
})
export class ContactTypesList implements OnInit {
    contactTypes: App.Models.IPersonType[];
    constructor(private _contactTypeService: ContactTypeService) {
        this._contactTypeService.contactTypes.subscribe(this.processData);

    }

    processData = (data: App.Models.IPersonType[]) => {
        this.contactTypes = data;
    }

    ngOnInit(): void {
        this._contactTypeService.getAll();
    }

}